SDL_SurfaceHasRLE(3)

NAME
SDL_SurfaceHasRLE - Returns whether the surface is RLE enabled.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SurfaceHasRLE(SDL_Surface *surface);

DESCRIPTION
It is safe to pass a NULL surface here; it will return false.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

RETURN VALUE
Returns true if the surface is RLE enabled, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfaceRLE(3)